Skip to main content
GET
/
organizations
/
{organizationId}
/
loans
Get Loans
curl --request GET \
  --url https://api.copper.co/platform/organizations/{organizationId}/loans
import requests

url = "https://api.copper.co/platform/organizations/{organizationId}/loans"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.copper.co/platform/organizations/{organizationId}/loans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "loans": [
    {
      "amount": "<string>",
      "borrowerCounterpartyId": "<string>",
      "borrowerOrganizationId": "<string>",
      "createdBy": "<string>",
      "currency": "<string>",
      "externalId": "<string>",
      "lenderCounterpartyId": "<string>",
      "lenderOrganizationId": "<string>",
      "loanId": "<string>",
      "mainCurrency": "<string>",
      "borrowerPortfolioId": "<string>",
      "createdAt": "<string>",
      "debtRatio": "<string>",
      "debtRatioUpdatedAt": "<string>",
      "defaultReason": "<string>",
      "embedded": {
        "childLoans": "<array>",
        "collaterals": [
          {
            "amount": "<string>",
            "collateralId": "<string>",
            "createdAt": "<string>",
            "currency": "<string>",
            "loanId": "<string>",
            "mainCurrency": "<string>",
            "portfolioId": "<string>",
            "unrealisedAmount": "<string>",
            "updatedAt": "<string>"
          }
        ],
        "counterparties": [
          {
            "counterpartyId": "<string>",
            "counterpartyName": "<string>",
            "networkTag": "<string>",
            "backgroundImageId": "<string>",
            "counterpartyDescription": "<string>",
            "extra": {
              "exchangeId": "<string>"
            },
            "imageId": "<string>",
            "priority": "<string>",
            "tags": [
              "featured"
            ]
          }
        ],
        "loanAllocations": [
          {
            "amount": "<string>",
            "createdAt": "<string>",
            "currency": "<string>",
            "extra": {
              "acceptedAt": "<string>",
              "acceptedBy": "<string>",
              "cancelledAt": "<string>",
              "cancelledBy": "<string>",
              "confirmedAt": "<string>",
              "confirmedBy": "<string>",
              "effectiveDate": "<string>"
            },
            "loanAllocationId": "<string>",
            "loanId": "<string>",
            "mainCurrency": "<string>",
            "counterpartyOrderId": "<string>",
            "createdBy": "<string>",
            "externalFailureDescription": "<string>",
            "fromPortfolioId": "<string>",
            "orderId": "<string>",
            "requestorCounterpartyId": "<string>",
            "terminatedAt": "<string>",
            "toPortfolioId": "<string>",
            "updatedAt": "<string>"
          }
        ],
        "loanInterest": {
          "accruedInterest": "<string>",
          "createdAt": "<string>",
          "interestCurrency": "<string>",
          "loanId": "<string>",
          "loanInterestId": "<string>",
          "lastPaymentAt": "<string>",
          "realisedInterest": "<string>",
          "unrealisedInterest": "<string>",
          "updatedAt": "<string>"
        },
        "loanModifications": [
          {
            "createdAt": "<string>",
            "extra": {
              "acceptedAt": "<string>",
              "acceptedBy": "<string>",
              "cancelledAt": "<string>",
              "cancelledBy": "<string>",
              "currentInterestRate": "<string>",
              "currentMaturityDate": "<string>",
              "newInterestRate": "<string>",
              "newMaturityDate": "<string>"
            },
            "loanId": "<string>",
            "loanModificationId": "<string>",
            "createdBy": "<string>",
            "requestorCounterpartyId": "<string>",
            "updatedAt": "<string>"
          }
        ],
        "marginCall": {}
      },
      "extra": {
        "acceptedAt": "<string>",
        "acceptedBy": "<string>",
        "approvedAt": "<string>",
        "approvedBy": "<string>",
        "cancelledAt": "<string>",
        "cancelledBy": "<string>",
        "defaultThreshold": "<string>",
        "defaultedAt": "<string>",
        "defaultedBy": "<string>",
        "disbursedAt": "<string>",
        "externalDisbursal": true,
        "externalInterestPayment": true,
        "initialLtv": "<string>",
        "initiallyRequiredCollateralUsd": "<string>",
        "lenderFeeShare": "<string>",
        "lenderFeeSharePercentage": "<string>",
        "marginCallExpiryPeriod": "<string>",
        "marginCallThreshold": "<string>",
        "rebalanceThreshold": "<string>",
        "rejectedAt": "<string>",
        "rejectedBy": "<string>",
        "repaidAt": "<string>",
        "repaidBy": "<string>",
        "requiredCollaterals": [
          {
            "amount": "<string>",
            "currency": "<string>",
            "mainCurrency": "<string>",
            "amountInUsd": "<string>"
          }
        ]
      },
      "interestRate": "<string>",
      "lenderPortfolioId": "<string>",
      "maturityDate": "<string>",
      "originalLoanAmount": "<string>",
      "originalLoanValue": "<string>",
      "startDate": "<string>",
      "terminatedAt": "<string>",
      "unrealisedAmount": "<string>",
      "updatedAt": "<string>"
    }
  ]
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

organizationId
string
required

Query Parameters

portfolioId
string

The account to filter by

loanIds
string[]

The list of loan ids to filter by

loanSide
enum<string>

The loan side to filter by. See details

Available options:
lend,
borrow
loanType
enum<string>

The loan type to filter by. See details

Available options:
agency-lending-parent-loan,
agency-inventory,
agency-lending-collateralised-child-loan,
agency-title-transfer-collateralised-loan,
agency-lending-uncollateralised-child-loan,
agency-uncollateralised-loan,
agency-lending-first-lien-child-loan,
agency-clearloop-loan,
agency-lending-pledge-collateralised-child-loan,
agency-pledge-collateralised-loan,
bilateral-lending-title-transfer-collateralised-loan,
bilateral-title-transfer-collateralised-loan,
bilateral-lending-pledge-collateralised-loan,
bilateral-pledge-collateralised-loan,
bilateral-lending-uncollateralised-loan,
bilateral-uncollateralised-loan
loanTypes
enum<string>[]
Available options:
agency-lending-parent-loan,
agency-inventory,
agency-lending-collateralised-child-loan,
agency-title-transfer-collateralised-loan,
agency-lending-uncollateralised-child-loan,
agency-uncollateralised-loan,
agency-lending-first-lien-child-loan,
agency-clearloop-loan,
agency-lending-pledge-collateralised-child-loan,
agency-pledge-collateralised-loan,
bilateral-lending-title-transfer-collateralised-loan,
bilateral-title-transfer-collateralised-loan,
bilateral-lending-pledge-collateralised-loan,
bilateral-pledge-collateralised-loan,
bilateral-lending-uncollateralised-loan,
bilateral-uncollateralised-loan
statuses
enum<string>[]

The loan status to filter by. See details

Available options:
awaiting-approval,
awaiting-acceptance,
awaiting-collateral,
awaiting-interest-payment,
disbursing,
active,
repaying,
defaulting,
partially-defaulting,
early-termination-in-progress,
early-termination-completed,
defaulted,
default-resolved,
cancelled,
rejected,
errored,
repaid,
repaying-interest,
interest-repaid,
securing-collateral,
collateral-secured,
releasing-collateral,
collateral-released,
closed
isOpen
boolean
default:false

Flag to filter out open loans

includeCollaterals
boolean
default:false

Flag indicating if collaterals should be included in embedded

includeCounterparties
boolean
default:false

Flag indicating if counterparties should be included in embedded

includeChildLoans
boolean
default:false

Flag indicating if child loans should be included in embedded - Only applicable for agency lending parent loans

includeLoanAllocations
boolean
default:false

Flag indicating if allocations should be included in embedded

includeLoanInterest
boolean
default:false

Flag indicating if loan interest should be included in embedded - Only applicable for bilateral loans

limit
string

The number of loans to include in the response

offset
string

The number of loans to skip in the response

sortBy
string
default:LoanStatus by relevance

The field to sort by. Currently supported: updatedAt

sortDirection
enum<string>
default:desc

The direction to sort by - must be used in conjunction with sortBy. See details

Available options:
ASC,
DESC

Response

OK

loans
object[]
required

The list of loans